Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

ContentMetadataUpdateStruct.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\API\Repository\Values\Content;
8
9 use eZ\Publish\API\Repository\Values\ValueObject;
10
15 class ContentMetadataUpdateStruct extends ValueObject
16 {
22 public $ownerId;
23
29 public $publishedDate;
30
36 public $modificationDate;
37
43 public $mainLanguageCode;
44
50 public $alwaysAvailable;
51
59 public $remoteId;
60
69 public $mainLocationId;
70
76 public $name;
77 }
eZ\Publish\API\Repository\Values\Content\ContentMetadataUpdateStruct
With this class data can be provided to update version independent fields of the content.
Definition: ContentMetadataUpdateStruct.php:16
eZ\Publish\API\Repository\Values\Content\ContentMetadataUpdateStruct\$mainLanguageCode
$mainLanguageCode
Definition: ContentMetadataUpdateStruct.php:43
eZ\Publish\API\Repository\Values\Content\ContentMetadataUpdateStruct\$remoteId
$remoteId
Definition: ContentMetadataUpdateStruct.php:59
eZ\Publish\API\Repository\Values\Content\ContentMetadataUpdateStruct\$alwaysAvailable
$alwaysAvailable
Definition: ContentMetadataUpdateStruct.php:50
eZ\Publish\API\Repository\Values\Content\ContentMetadataUpdateStruct\$modificationDate
$modificationDate
Definition: ContentMetadataUpdateStruct.php:36
eZ\Publish\API\Repository\Values\Content\ContentMetadataUpdateStruct\$ownerId
$ownerId
Definition: ContentMetadataUpdateStruct.php:22
eZ\Publish\API\Repository\Values\Content\ContentMetadataUpdateStruct\$publishedDate
$publishedDate
Definition: ContentMetadataUpdateStruct.php:29
eZ\Publish\API\Repository\Values\Content\ContentMetadataUpdateStruct\$mainLocationId
$mainLocationId
Definition: ContentMetadataUpdateStruct.php:69
eZ\Publish\API\Repository\Values\Content\ContentMetadataUpdateStruct\$name
$name
Definition: ContentMetadataUpdateStruct.php:76
eZ\Publish\API\Repository\Values\ValueObject
Definition: API/Repository/Values/ValueObject.php:21
eZ\Publish\API\Repository\Values\Content
Definition: Publish/API/Repository/Values/Content/Content.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.